#pragma once

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <stdbool.h>
#include "esp_err.h"

/**
 * @brief Inicializa o driver do medidor ADE7758 (SPI, mutex, registradores).
 */
esp_err_t meter_ade7758_init(void);

/**
 * @brief Inicia a tarefa de leitura de dados do medidor ADE7758.
 */
esp_err_t meter_ade7758_start(void);

/**
 * @brief Para a tarefa de leitura e limpa os dados internos do medidor ADE7758.
 */
void meter_ade7758_stop(void);


#ifdef __cplusplus
}
#endif
